define(['zepto', 'medtap', 'mui', 'mui.picker'], function($, medtap, mui) {　
  var myQuestionnaireList = {
     // 问卷id
    followUpId: medtap.getRequest('followUpId'),
    init:function(){
      $(".tabbox li").click(function ()
      　　{
    　　　　//获取点击的元素给其添加样式，讲其兄弟元素的样式移除
    　　　　$(this).addClass("active").siblings().removeClass("active");
    　　　　//获取选中元素的下标
    　　　　var index = $(this).index();
    　　　　$(this).parent().siblings().children().eq(index).addClass("active")
    　　　　.siblings().removeClass("active");
      　　});
      myQuestionnaireList.getQuestionnaireList()
    },
  //  获取问卷列表
    getQuestionnaireList:function(){
      medtap.submitAjax({
				url: "https://testdevgw.medtap.cn/operation/followUp/followUpList",
				type: 'post',
        async: false,
        contentType: 'application/json',
				data: {
         
				},
        success: function(res) {
          console.log(res)
          var html = ''
          var QuestionnaireList = res.content.followUpList
          for (var i = 0; i < QuestionnaireList.length; i++) {
            var times = QuestionnaireList[i].answerTime.split('-')
            var mouthTime =times[1]
            var yearTime = times[0]
            
           html += '<li class="my_questionnaire_list" data-id='+QuestionnaireList[i].status+'>'
            + yearTime + '年' + mouthTime + '月随访问卷'
            +'<span class="my_questionnaire_list_after">已完成</span></li>'
         }
         $('.my_questionnaire_box').append(html)
         var list = document.querySelectorAll('.my_questionnaire_box li')
            for(var i=0; i<list.length;i++){
              if(list[i].dataset.id!=1){
             list[i].children[0].hidden=true
              }
            }
        //  点击进入详情
        $('.my_questionnaire_box').on('tap','.my_questionnaire_list',function(){
          
          medtap.pushWindow('../pages/questionnaireDetails.html?followUpId='+myQuestionnaireList.followUpId)
        })
        }
      })
    }
  }
  myQuestionnaireList.init()
})